> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Configure

> Upsert a git repository information for a project.



## OpenAPI

````yaml POST /v1/git-repos
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/git-repos:
    post:
      tags:
        - git-repos
      description: Upsert a git repository information for a project.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                projectId:
                  type: string
                  minLength: 1
                remoteUrl:
                  type: string
                  pattern: ^git@[A-Za-z0-9.-]+:[A-Za-z0-9._/-]+(\.git)?$
                branch:
                  type: string
                  pattern: ^(?!-)[A-Za-z0-9._/-]{1,255}$
                branchType:
                  type: string
                  enum:
                    - PRODUCTION
                    - DEVELOPMENT
                sshPrivateKey:
                  type: string
                  minLength: 1
                slug:
                  type: string
                  pattern: ^(?!\.{1,2}$)[A-Za-z0-9._-]{1,128}$
              required:
                - projectId
                - remoteUrl
                - branch
                - branchType
                - sshPrivateKey
                - slug
        required: true
      responses:
        '201':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/git-repo'
components:
  schemas:
    git-repo:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/git-repo'
      type: object
      properties:
        id:
          type: string
        created:
          type: string
        updated:
          type: string
        remoteUrl:
          type: string
        branch:
          type: string
        branchType:
          type: string
          enum:
            - PRODUCTION
            - DEVELOPMENT
        projectId:
          type: string
        slug:
          type: string
      required:
        - id
        - created
        - updated
        - remoteUrl
        - branch
        - branchType
        - projectId
        - slug
      additionalProperties: false

````